Bug 147362 - RFE: Please add a non-default option, permitting trimming %changelog size
Summary: RFE: Please add a non-default option, permitting trimming %changelog size
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-07 17:13 UTC by R P Herrold
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 04:03:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2005-02-07 17:13:33 UTC
> Description of problem:> Well it sounds like it is less 
> likely to happen in the rpmbuild level
> and it would significantly trim the other.xml data size.

Hint: No RFE, no fix.

It would be trivial to teach rpmbuild a macro to truncate at either N
or timestamp, with default behavior off

===================================

Per mailing list discussion, could an option to truncate %changelog's,
either (1) prior to a date, or (2) prior to the Nth entry, please be
added and documented.

-- Thanks

-- Russ Herrold

Comment 1 Jeff Johnson 2005-11-09 04:03:34 UTC
Fixed in rpm-4.4.3-0.42.


Note You need to log in before you can comment on or make changes to this bug.